SDL Library Documentation
Prev |  | Next

# SDL_LockYUVOverlay

## Name

SDL_LockYUVOverlay -- Lock an overlay

## Synopsis

    #include "SDL.h"

``int SDL_LockYUVOverlay`(SDL_Overlay *overlay);`

## Description

Much the same as `SDL_LockSurface`, `SDL_LockYUVOverlay` locks the `overlay` for direct access to pixel data.

## Return Value

Returns 0 on success, or -1 on an error.

## See Also

`SDL_UnlockYUVOverlay`, `SDL_CreateYUVOverlay`, SDL_Overlay

Prev | Home | Next
SDL_CreateYUVOverlay | Up | SDL_UnlockYUVOverlay